[ 
https://issues.apache.org/jira/browse/METRON-596?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15711804#comment-15711804
 ] 

ASF GitHub Bot commented on METRON-596:
---------------------------------------

Github user nickwallen commented on the issue:

    https://github.com/apache/incubator-metron/pull/378
  
    Thanks @justinleet.  I do not see anything you've done here that would 
cause any problems.  
    
    I am able to fairly reliably reproduce the bug from METRON-597 when run in 
Travis CI.  So maybe this isn't more likely to happen with the changes that 
you've made, than any others.
    
    
    



> Eliminate Maven warnings from build
> -----------------------------------
>
>                 Key: METRON-596
>                 URL: https://issues.apache.org/jira/browse/METRON-596
>             Project: Metron
>          Issue Type: Improvement
>    Affects Versions: 0.3.0
>            Reporter: Justin Leet
>            Assignee: Justin Leet
>            Priority: Minor
>
> Right now our builds throw some warnings in Maven. Things like not specifying 
> a version for plugins, etc. These should be cleaned up.
> Current Build warnings:
> {code}
> [INFO] Scanning for projects...
> [WARNING] 
> [WARNING] Some problems were encountered while building the effective model 
> for org.apache.metron:metron-common:jar:0.3.0
> [WARNING] 'build.plugins.plugin.version' for 
> org.apache.maven.plugins:maven-jar-plugin is missing. @ 
> org.apache.metron:metron-common:[unknown-version], 
> /Users/jleet/Documents/workspace/incubator-metron/metron-platform/metron-common/pom.xml,
>  line 360, column 21
> [WARNING] 
> [WARNING] Some problems were encountered while building the effective model 
> for org.apache.metron:metron-enrichment:jar:0.3.0
> [WARNING] 'build.plugins.plugin.version' for 
> org.apache.maven.plugins:maven-jar-plugin is missing. @ 
> org.apache.metron:metron-enrichment:[unknown-version], 
> /Users/jleet/Documents/workspace/incubator-metron/metron-platform/metron-enrichment/pom.xml,
>  line 287, column 21
> [WARNING] 
> [WARNING] Some problems were encountered while building the effective model 
> for org.apache.metron:metron-parsers:jar:0.3.0
> [WARNING] 'build.plugins.plugin.version' for 
> org.apache.maven.plugins:maven-jar-plugin is missing. @ 
> org.apache.metron:metron-parsers:[unknown-version], 
> /Users/jleet/Documents/workspace/incubator-metron/metron-platform/metron-parsers/pom.xml,
>  line 250, column 21
> [WARNING] 
> [WARNING] Some problems were encountered while building the effective model 
> for org.apache.metron:metron-indexing:jar:0.3.0
> [WARNING] 'build.plugins.plugin.version' for 
> org.apache.maven.plugins:maven-jar-plugin is missing. @ 
> org.apache.metron:metron-indexing:[unknown-version], 
> /Users/jleet/Documents/workspace/incubator-metron/metron-platform/metron-indexing/pom.xml,
>  line 183, column 21
> [WARNING] 
> [WARNING] Some problems were encountered while building the effective model 
> for org.apache.metron:metron-management:jar:0.3.0
> [WARNING] The expression ${parent.version} is deprecated. Please use 
> ${project.parent.version} instead.
> [WARNING] The expression ${parent.version} is deprecated. Please use 
> ${project.parent.version} instead.
> [WARNING] The expression ${parent.version} is deprecated. Please use 
> ${project.parent.version} instead.
> [WARNING] 
> [WARNING] Some problems were encountered while building the effective model 
> for org.apache.metron:metron-hbase:jar:0.3.0
> [WARNING] 'dependencies.dependency.(groupId:artifactId:type:classifier)' must 
> be unique: org.apache.hadoop:hadoop-hdfs:jar:tests -> duplicate declaration 
> of version ${global_hadoop_version} @ 
> org.apache.metron:metron-hbase:[unknown-version], 
> /Users/jleet/Documents/workspace/incubator-metron/metron-platform/metron-hbase/pom.xml,
>  line 166, column 21
> [WARNING] 
> [WARNING] It is highly recommended to fix these problems because they 
> threaten the stability of your build.
> [WARNING] 
> [WARNING] For this reason, future Maven versions might no longer support 
> building such malformed projects.
> [WARNING] 
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Reply via email to